/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
a{
    color:#7A7A7A;
}
a:hover{
    color: #000;
}
.mfp-gallery .mfp-container .mfp-arrow{ display: none !important; }
.home-slider-single-column .swiper .swiper-wrapper .swiper-slide .e-con-inner{ 
    position: relative !important; 
    max-width: max-content !important;
}
.home-slider-single-column .swiper .swiper-wrapper .swiper-slide .home-slider-image{
    max-width: none !important;
    margin: 0 auto !important;
}
.work-gallery .eael-gallery-grid-item{ width: 100%; margin-left: 15px; margin-right: 15px; height: auto !important; text-align: center; }
.work-gallery .eael-gallery-grid-item .gallery-item-thumbnail-wrap{ max-height: 400px !important; height: 100% !important; }
.work-gallery .eael-filter-gallery-wrapper .gallery-item-thumbnail-wrap {
    display: inline-block;
    position: relative;
    overflow: hidden;
}
.work-gallery .eael-filter-gallery-wrapper .gallery-item-thumbnail-wrap img {
    max-height: 400px;
    height: 100%;
    width: auto;
    object-fit: contain;
    display: block;
}
.work-gallery .eael-filter-gallery-wrapper .gallery-item-thumbnail-wrap .card-hover-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
}
.work-gallery .eael-filter-gallery-wrapper .gallery-item-thumbnail-wrap .card-hover-bg .gallery-item-buttons {
    pointer-events: auto;
}

/* .work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(odd) .eael-gallery-grid-item {
  max-width: 360px;
}
.work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(even) .eael-gallery-grid-item {
  max-width: 700px;
} */
.work-gallery .eael-filter-gallery-container .eael-gallery-grid-item img {
    display: block;
    max-height: 400px;
    height: 100%;   
    width: auto;  
    object-fit: contain;
    margin: 0 auto;     
}
.work-gallery .eael-gallery-grid-item .gallery-item-caption-wrap{ padding: 0px; }
.work-gallery .eael-gallery-grid-item .gallery-item-caption-wrap .gallery-item-caption-over{ display: none; }
.mfp-content {
    display: inline-flex !important;
    justify-content: center;
    align-items: stretch;
    width: 100%;
    gap: 0;
    height: 100%;
}
.mfp-content .mfp-figure {
    flex: 0 0 70%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    background-color: #fff;
}
.mfp-content .mfp-figure .mfp-img {
    max-width: 100%;
    max-height: 75vh !important;
    object-fit: contain;
    pointer-events: none;
    padding: 0px !important;
    border: 5px solid #fff;
}
.mfp-content .mfp-figure .mfp-close,
.mfp-content .mfp-figure figcaption .mfp-counter{ padding-right: 20px; }
.eael-custom-lightbox-info {
    flex: 0 0 30%;
    /* background: #1f2124; */
    background: #fff;
    color: #000;
    padding: 30px 20px;
    overflow-y: auto;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    position: relative;
    order: 2;
}
.eael-custom-lightbox-info .eael-lightbox-text .eael-lightbox-title {
    font-size: 22px;
    margin-bottom: 10px;
    font-weight: 600;
    color: #000;
}
.eael-custom-lightbox-info .eael-lightbox-text .eael-lightbox-desc {
    font-size: 16px;
    line-height: 1.6;
    color: #000;
}
.eael-custom-lightbox-info .eael-lightbox-text .eael-social-links{
    display: flex;
    gap: 12px;
}
.eael-custom-lightbox-info .eael-lightbox-text .eael-social-links .elementor-icon{
    background-color: transparent;
    width: auto;
    height: auto;
}

.mfp-figure:after {
    background: transparent !important;
    box-shadow: none !important;
}
.mfp-figure .mfp-close{ color: #000; }
.mfp-figure .eael-custom-lightbox-info::-webkit-scrollbar {
    width: 6px;
}

.mfp-figure .eael-custom-lightbox-info::-webkit-scrollbar-thumb {
    background-color: #444;
    border-radius: 4px;
}
.eael-custom-lightbox-info .eael-lightbox-text .elementor-social-icon svg{ fill: #075e54 !important; width: 30px; height: 30px; }
@media (min-width: 1024px) {
    .custom-header-main-menu .elementor-nav-menu--main{
        margin-left: 50px;
        margin-top: calc(300px + 150px);
        background-color: #ffffff;
        padding: 20px 35px 20px 15px;
        box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.8);
        min-height: 300px;
        height: auto;
        min-width: 150px;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .custom-header-main-menu .elementor-nav-menu .menu-item a.elementor-item{ width: max-content; }
}
@media (max-width: 1550px) {
    .elementor-element .e-con-inner{
        padding-left: 50px;
    }
}
@media (max-width: 1450px) {
    .elementor-element .e-con-inner{
        padding-left: 80px;
    }
}
@media (max-width: 1400px) {
    .elementor-element .e-con-inner{
        padding-left: 100px;
    }
}
@media (max-width: 1350px) {
    .elementor-element .e-con-inner{
        padding-left: 135px;
    }
}
@media (max-width: 1300px) {
    .elementor-element .e-con-inner{
        padding-left: 150px;
    }
}
@media (max-width: 1250px) {
    .elementor-element .e-con-inner{
        padding-left: 175px;
    }
}
@media (max-width: 1200px) {
    .elementor-element .e-con-inner{
        padding-left: 200px;
    }
}
@media (max-width: 1024px) {
    .eael-custom-lightbox-info .eael-lightbox-text .elementor-social-icon svg{ width: 25px; height: 25px; }
    .elementor-element .e-con-inner{
        padding-left: 0px;
    }
    /* .work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(odd) .eael-gallery-grid-item {
        max-width: 320px;
    }
    .work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(even) .eael-gallery-grid-item {
        max-width: 650px;
    } */
}
@media (max-width: 800px) {
    .work-gallery .eael-gallery-grid-item .gallery-item-thumbnail-wrap,
    .work-gallery .eael-filter-gallery-container .eael-gallery-grid-item img{ height: auto !important; }
    /* .work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(odd) .eael-gallery-grid-item {
        max-width: 300px;
    }
    .work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(even) .eael-gallery-grid-item {
        max-width: 500px;
    } */
}
@media (max-width: 767px) {
    /* .work-gallery .eael-gallery-grid-item{ max-height: 350px; height: 100%; } */
    .work-gallery .eael-gallery-grid-item .gallery-item-thumbnail-wrap,
    .work-gallery .eael-filter-gallery-container .eael-gallery-grid-item img{ height: auto !important; }
    .mfp-content {
        flex-direction: column;
        height: auto;
    }
    .mfp-figure, .eael-custom-lightbox-info {
        flex: 0 0 100%;
        width: 100%;
    }
    .eael-custom-lightbox-info {
        padding: 20px;
        height: auto;
    }
}
@media (max-width: 600px) {
    .eael-custom-lightbox-info .eael-lightbox-text .elementor-social-icon svg{ width: 22px; height: 22px; }
    .work-gallery .eael-gallery-grid-item .gallery-item-thumbnail-wrap,
    .work-gallery .eael-filter-gallery-container .eael-gallery-grid-item img{ height: auto !important; }
    /* .work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(odd) .eael-gallery-grid-item {
        max-width: 280px;
    }
    .work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(even) .eael-gallery-grid-item {
        max-width: 480px;
    } */
}
@media (max-width: 500px) {
    .work-gallery .eael-gallery-grid-item .gallery-item-thumbnail-wrap,
    .work-gallery .eael-filter-gallery-container .eael-gallery-grid-item img{ height: auto !important; }
    /* .work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(odd) .eael-gallery-grid-item {
        max-width: 250px;
    }
    .work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(even) .eael-gallery-grid-item {
        max-width: 420px;
    } */
}
@media (max-width: 400px) {
    .work-gallery .eael-gallery-grid-item .gallery-item-thumbnail-wrap,
    .work-gallery .eael-filter-gallery-container .eael-gallery-grid-item img{ height: auto !important; }
    /* .work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(odd) .eael-gallery-grid-item {
        max-width: 230px;
    }
    .work-gallery .eael-filter-gallery-container .eael-filterable-gallery-item-wrap:nth-child(even) .eael-gallery-grid-item {
        max-width: 400px;
    } */
}
